# Subscriptions

## Subscription Process

An onboarded Investor can subscribe to TBILL tokens from the TBILL Vault by depositing USDC either on the[ TBILL Vault’s app interface](https://app.openeden.com/) or through the[ ](https://adamandeve.gitbook.io/product-docs/treasury-bills-vault/smart-contract-addresses)[TBILL Vault smart contract](/tbill/smart-contract-addresses.md).

The subscription process begins when an onboarded Investor deposits USDC into the TBILL Vault. In exchange, the Investor will receive TBILL tokens that are of an equivalent dollar value at the time of deposit. The exact number of TBILL tokens that the Investor will receive is a function of the prevailing TBILL/USDC token price at the time of deposit and the amount of USDC deposited.

The token price used for computation will be fed from the TBILL price oracle contract.

$$
tbillTokensReceived = \frac{usdcDeposited}{exchangeRate}
$$

## Restrictions

### Address Level

Deposits can only be initiated from whitelisted addresses after participants have successfully completed the [onboarding process](/tbill/investor-onboarding.md). Additionally, the first deposit must be at least 100,000 USDC, while subsequent deposits must be at least 1 USDC.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openeden.com/tbill/subscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
